digiKam Developer Documentation: Digikam::ICCProfileWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | List of all members
Digikam::ICCProfileWidget Class Reference
Inheritance diagram for Digikam::ICCProfileWidget:

## Public Member Functions
| ICCProfileWidget (QWidget *const parent, int w=256, int h=256)
QString | getMetadataTitle () const override
IccProfile | getProfile () const
QString | getTagDescription (const QString &key) override
QString | getTagTitle (const QString &key) override
bool | loadFromProfileData (const QString &fileName, const QByteArray &data)
bool | loadFromURL (const QUrl &url) override
bool | loadProfile (const QString &fileName, const IccProfile &data)
void | setDataLoading ()
void | setLoadingFailed ()
bool | setProfile (const IccProfile &profile)
void | setUncalibratedColor ()
Public Member Functions inherited from Digikam::MetadataWidget
| MetadataWidget (QWidget *const parent, const QString &name=QString())
QString | getCurrentItemKey () const
int | getMode () const
QStringList | getTagsFilter () const
virtual bool | loadFromData (const QString &fileName, const DMetadata &data=DMetadata())
void | setCurrentItemByKey (const QString &itemKey)
void | setMode (int mode)
void | setTagsFilter (const QStringList &list)
void | setUserAreaWidget (QWidget *const w)

## Protected Slots
void | slotSaveMetadataToFile () override
Protected Slots inherited from Digikam::MetadataWidget
virtual void | slotSaveMetadataToFile ()=0

## Additional Inherited Members
Public Types inherited from Digikam::MetadataWidget
enum | TagFilters { NONE = 0 , PHOTO , CUSTOM }
Signals inherited from Digikam::MetadataWidget
void | signalSetupMetadataFilters ()
Protected Member Functions inherited from Digikam::MetadataWidget
void | enabledToolButtons (bool)
DMetadata * | getMetadata () const
const DMetadata::MetaDataMap & | getMetadataMap ()
QString | metadataToText () const
QUrl | saveMetadataToFile (const QString &caption, const QString &fileFilter)
void | setFileName (const QString &fileName)
void | setIfdList (const DMetadata::MetaDataMap &ifds, const QStringList &keysFilter, const QStringList &tagsFilter)
void | setIfdList (const DMetadata::MetaDataMap &ifds, const QStringList &tagsFilter=QStringList())
bool | setMetadata (const DMetadata &data=DMetadata())
virtual void | setMetadataEmpty ()
void | setMetadataMap (const DMetadata::MetaDataMap &data=DMetadata::MetaDataMap())
void | setup ()
| Call this method in children class constructors to init signal/slots connections.
bool | storeMetadataToFile (const QUrl &url, const QByteArray &metaData)
MetadataListView * | view () const

## Member Function Documentation

## ◆ getMetadataTitle()

QString Digikam::ICCProfileWidget::getMetadataTitle | ( |  | ) | const
| overridevirtual

Implements Digikam::MetadataWidget.

## ◆ getTagDescription()

QString Digikam::ICCProfileWidget::getTagDescription | ( | const QString & | key | ) |
| overridevirtual

Reimplemented from Digikam::MetadataWidget.

## ◆ getTagTitle()

QString Digikam::ICCProfileWidget::getTagTitle | ( | const QString & | key | ) |
| overridevirtual

Reimplemented from Digikam::MetadataWidget.

## ◆ loadFromURL()

bool Digikam::ICCProfileWidget::loadFromURL | ( | const QUrl & | url | ) |
| overridevirtual

Implements Digikam::MetadataWidget.